WCC(1)

NAME
wcc - recompile binary files

SYNOPSIS
wcc [options] file

DESCRIPTION

The Witchcraft Core Compiler is part of the Witchcraft Compiler Collection.

The wcc compiler takes binaries (ELF, PE, ...) as an input and creates valid ELF binaries as an output. It can be used to create relocatable object files from executables or shared libraries.

Options:

-o, --output
    <output file>

-m, --march
    <architecture>

-e, --entrypoint
    <0xaddress>

-i, --interpreter
    <interpreter>

-p, --poison
    <poison>

-s, --shared

-c, --compile

-S, --static

-x, --strip

-X, --sstrip

-E, --exec

-C, --core

-O, --original

-D, --disasm

-d, --debug

-h, --help

-v, --verbose

-V, --version

EXAMPLES

wcc -c /bin/ls -o /tmp/ls.o
    Unlink the binary /bin/ls into a relocatable object named /tmp/ls.o

gcc /tmp/ls.o -o /tmp/ls.so -shared
    Use the gcc compiler to link the previously generated /tmp/ls.o relocatable object into a shared library /tmp/ls.so

NOTES
The Witcraft Compiler Collection is a set of reverse engineering tools.

AUTHOR
Written by endrazine (Jonathan Brossard)

REPORTING BUGS
Witchcraft Compiler Collection online bug tracker: <https://github.com/endrazine/wcc/issues>

COPYRIGHT
Copyright Jonathan Brossard
License: MIT and BSD Licenses. See <https://github.com/endrazine/wcc/blob/master/LICENSE>.

SEE ALSO
wsh(1), wld(1), wldd(1), wcch(1)

The full documentation of the Witchcraft Compiler Collection is available online at https://github.com/endrazine/wcc/wiki